<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- -->
	<xsl:output method="html" indent="no" />
	<!-- -->
	<xsl:include href="common.xslt" />
	<!-- -->
	<xsl:param name='namespace' />
	<xsl:param name='includeHierarchy' />
	<!-- -->
	<xsl:template match="/">
		<xsl:apply-templates select="ndoc" />
	</xsl:template>
	<!-- -->
	<xsl:template match="ndoc">
		<html dir="LTR">
			<xsl:call-template name="html-head">
				<xsl:with-param name="title" select="$namespace" />
			</xsl:call-template>
			<body id="bodyID" class="dtBODY">
				<xsl:call-template name="title-row">
					<xsl:with-param name="type-name">
						<xsl:value-of select="$namespace" />
						<xsl:text> 名前空間</xsl:text>
					</xsl:with-param>
				</xsl:call-template>
				<div id="nstext">
					<!-- the namespace template just gets the summary. -->
					<xsl:apply-templates select="assembly/module/namespace[@name=$namespace][1]" />
					<xsl:if test="$includeHierarchy">
					  <p>
						  <a>
							  <xsl:attribute name="href">
								  <xsl:call-template name="get-filename-for-current-namespace-hierarchy" />
							  </xsl:attribute>
							  <xsl:text>名前空間階層</xsl:text>
						  </a>
					  </p>
					</xsl:if>
					<xsl:if test="assembly/module/namespace[@name=$namespace]/class">
						<h3 class="dtH3">クラス</h3>
						<div class="tablediv">
							<table class="dtTABLE" cellspacing="0">
								<tr valign="top">
									<th width="50%">クラス</th>
									<th width="50%">説明</th>
								</tr>
								<xsl:apply-templates select="assembly/module/namespace[@name=$namespace]/class">
									<xsl:sort select="@name" />
								</xsl:apply-templates>
							</table>
						</div>
					</xsl:if>
					<xsl:if test="assembly/module/namespace[@name=$namespace]/interface">
						<h3 class="dtH3">インターフェイス</h3>
						<div class="tablediv">
							<table class="dtTABLE" cellspacing="0">
								<tr valign="top">
									<th width="50%">インターフェイス</th>
									<th width="50%">説明</th>
								</tr>
								<xsl:apply-templates select="assembly/module/namespace[@name=$namespace]/interface">
									<xsl:sort select="@name" />
								</xsl:apply-templates>
							</table>
						</div>
					</xsl:if>
					<xsl:if test="assembly/module/namespace[@name=$namespace]/structure">
						<h3 class="dtH3">構造体</h3>
						<div class="tablediv">
							<table class="dtTABLE" cellspacing="0">
								<tr valign="top">
									<th width="50%">構造体</th>
									<th width="50%">説明</th>
								</tr>
								<xsl:apply-templates select="assembly/module/namespace[@name=$namespace]/structure">
									<xsl:sort select="@name" />
								</xsl:apply-templates>
							</table>
						</div>
					</xsl:if>
					<xsl:if test="assembly/module/namespace[@name=$namespace]/delegate">
						<h3 class="dtH3">デリゲート</h3>
						<div class="tablediv">
							<table class="dtTABLE" cellspacing="0">
								<tr valign="top">
									<th width="50%">デリゲート</th>
									<th width="50%">説明</th>
								</tr>
								<xsl:apply-templates select="assembly/module/namespace[@name=$namespace]/delegate">
									<xsl:sort select="@name" />
								</xsl:apply-templates>
							</table>
						</div>
					</xsl:if>
					<xsl:if test="assembly/module/namespace[@name=$namespace]/enumeration">
						<h3 class="dtH3">列挙体</h3>
						<div class="tablediv">
							<table class="dtTABLE" cellspacing="0">
								<tr valign="top">
									<th width="50%">列挙体</th>
									<th width="50%">説明</th>
								</tr>
								<xsl:apply-templates select="assembly/module/namespace[@name=$namespace]/enumeration">
									<xsl:sort select="@name" />
								</xsl:apply-templates>
							</table>
						</div>
					</xsl:if>
					<xsl:call-template name="footer-row">
						<xsl:with-param name="type-name">
							<xsl:value-of select="$namespace" />
							<xsl:text> 名前空間</xsl:text>
						</xsl:with-param>
					</xsl:call-template>
				</div>
			</body>
		</html>
	</xsl:template>
	<!-- -->
	<xsl:template match="namespace">
		<xsl:call-template name="summary-section" />
	</xsl:template>
	<!-- -->
	<xsl:template match="class">
		<tr valign="top">
			<td width="50%">
				<a>
					<xsl:attribute name="href">
						<xsl:call-template name="get-filename-for-type">
							<xsl:with-param name="id" select="@id" />
						</xsl:call-template>
					</xsl:attribute>
					<xsl:value-of select="@name" />
				</a>
			</td>
			<td width="50%">
				<xsl:apply-templates select="(documentation/summary)[1]/node()" mode="slashdoc" />
			</td>
		</tr>
	</xsl:template>
	<!-- -->
	<xsl:template match="interface">
		<tr valign="top">
			<td width="50%">
				<a>
					<xsl:attribute name="href">
						<xsl:call-template name="get-filename-for-type">
							<xsl:with-param name="id" select="@id" />
						</xsl:call-template>
					</xsl:attribute>
					<xsl:value-of select="@name" />
				</a>
			</td>
			<td width="50%">
				<xsl:apply-templates select="(documentation/summary)[1]/node()" mode="slashdoc" />
			</td>
		</tr>
	</xsl:template>
	<!-- -->
	<xsl:template match="structure">
		<tr valign="top">
			<td width="50%">
				<a>
					<xsl:attribute name="href">
						<xsl:call-template name="get-filename-for-type">
							<xsl:with-param name="id" select="@id" />
						</xsl:call-template>
					</xsl:attribute>
					<xsl:value-of select="@name" />
				</a>
			</td>
			<td width="50%">
				<xsl:apply-templates select="(documentation/summary)[1]/node()" mode="slashdoc" />
			</td>
		</tr>
	</xsl:template>
	<!-- -->
	<xsl:template match="delegate">
		<tr valign="top">
			<td width="50%">
				<a>
					<xsl:attribute name="href">
						<xsl:call-template name="get-filename-for-type">
							<xsl:with-param name="id" select="@id" />
						</xsl:call-template>
					</xsl:attribute>
					<xsl:value-of select="@name" />
				</a>
			</td>
			<td width="50%">
				<xsl:apply-templates select="(documentation/summary)[1]/node()" mode="slashdoc" />
			</td>
		</tr>
	</xsl:template>
	<!-- -->
	<xsl:template match="enumeration">
		<tr valign="top">
			<td width="50%">
				<a>
					<xsl:attribute name="href">
						<xsl:call-template name="get-filename-for-type">
							<xsl:with-param name="id" select="@id" />
						</xsl:call-template>
					</xsl:attribute>
					<xsl:value-of select="@name" />
				</a>
			</td>
			<td width="50%">
				<xsl:apply-templates select="(documentation/summary)[1]/node()" mode="slashdoc" />
			</td>
		</tr>
	</xsl:template>
	<!-- -->
</xsl:stylesheet>
